%define module 	Email-Valid
%define version 0.15
%define release 2%{?dist}

Summary:	Email-Valid perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Email/%{module}-%{version}.tar.bz2
BuildRequires:	perl >= 5.6
BuildRequires:	perl-MailTools
BuildRequires:	perl-Net-DNS
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
This module determines whether an email address is well-formed, and
optionally, whether a mail host exists for the domain or whether
the top level domain of the email address is valid.  

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*


%changelog
* Tue Dec 27 2005 Ed Avis <ed@membled.com> 0.15-1epa
- port to Fedora

* Mon Jan 17 2005 Stefan van der Eijk <stefan@mandrake.org> 0.15-3mdk
- add missing BuildRequires perl-Net-DNS

* Mon Jan 17 2005 Stefan van der Eijk <stefan@mandrake.org> 0.15-2mdk
- yearly rebuild

* Thu Nov 27 2003 Stefan van der Eijk <stefan@eijk.nu> 0.15-1mdk
- initial mdk package
